---
search:
  tags:
    - servers
    - GET
seo:
  description: >-
    Read on-disk backup config state. Reference for the GET
    /api/v1/servers/{id}/backup-state endpoint in the TimescaleDB Enterprise
    API.
sidebar:
  label: Get on-disk backup state
  badge: GET
title: Get on-disk backup state
type: openapi-operation
---
Read on-disk backup config state.

`GET /api/v1/servers/{id}/backup-state`

**Responses**

- `200` — OK
- `default` — Error

Response example, 200:

```json
{
  "error": "string",
  "reachable": true,
  "server_id": "string",
  "stanzas": [
    {
      "crons": [
        {
          "day": "string",
          "dow": "string",
          "file": "string",
          "hour": "string",
          "minute": "string",
          "month": "string",
          "repo": 0,
          "role": "string",
          "stanza": "string",
          "type": "string"
        }
      ],
      "name": "string",
      "repos": [
        {
          "host": "string",
          "host_user": "string",
          "path": "string",
          "repo_index": 0,
          "retention_full": 0,
          "retention_full_type": "string",
          "type": "string"
        }
      ]
    }
  ]
}
```
